GuidesRecipesAPI ReferenceChangelog
API Reference

Get External Bank Account

Retrieves an external bank account.

ExternalBankAccount retrieval

When retrieving an external bank account and include_balances is set to true, the Platform will attempt to retrieve the balance from the account's financial institution.

If force_balance_refresh is set to true, the Platform will always attempt to retrieve the most up to date balance from the account's financial institution. If force_balance_refresh is set to false, the Platform will return the cached balance.

If while getting the balance the Platform determines that the account needs to be refreshed, the Platform will return a 422 status code with the message "Bank account refresh required" and the ExternalBankAccount will be put into the refresh_required state.

If while getting the balance the Platform determines that the account is no longer valid, the Platform will return a 422 status code with the message "Bank account can no longer be used and is being deleted. It must be re-added" and the ExternalBankAccount will be deleted.

When retrieving an external bank account and include_pii is set to true, the Platform will include the account holder's information in the response.

Required scope: external_bank_accounts:read Optional scope: external_bank_accounts:pii:read.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Identifier for the external bank account.

Query Params
boolean

Force the balance on the account to be retrieved.

boolean

Include balance information in the response. If force_balance_refresh is true, the most up to date balance will be returned. If force_balance_refresh is false, the cached balance will be returned. balance_updated_at in the response will provide the timestamp the balance was last updated.

boolean

Include the account holder's PII in the response (requires external_bank_accounts:pii:read scope).

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json